<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [Sync](./git-documentdb.sync.md)

## Sync class

Synchronizer class

<b>Signature:</b>

```typescript
export declare class Sync implements ISync 
```
<b>Implements:</b> ISync

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(\_gitDDB, \_options)](./git-documentdb.sync._constructor_.md) |  | constructor |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [author](./git-documentdb.sync.author.md) |  | nodegit.Signature |  |
|  [committer](./git-documentdb.sync.committer.md) |  | nodegit.Signature |  |
|  [credential\_callbacks](./git-documentdb.sync.credential_callbacks.md) |  | { \[key: string\]: any; } |  |
|  [jsonDiff](./git-documentdb.sync.jsondiff.md) |  | JsonDiff | JsonDiff |
|  [jsonPatch](./git-documentdb.sync.jsonpatch.md) |  | JsonPatchOT | JsonPatch |
|  [upstream\_branch](./git-documentdb.sync.upstream_branch.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [cancel()](./git-documentdb.sync.cancel.md) |  | Stop synchronization |
|  [close()](./git-documentdb.sync.close.md) |  | Stop and clear remote connection |
|  [currentRetries()](./git-documentdb.sync.currentretries.md) |  | Return current retry count (incremental) |
|  [enqueuePushTask()](./git-documentdb.sync.enqueuepushtask.md) |  | Enqueue push task to TaskQueue |
|  [enqueueSyncTask()](./git-documentdb.sync.enqueuesynctask.md) |  | Enqueue sync task to TaskQueue |
|  [init(repos)](./git-documentdb.sync.init.md) |  | Create remote connection |
|  [off(event, callback)](./git-documentdb.sync.off.md) |  | Remove SyncEvent handler |
|  [on(event, callback)](./git-documentdb.sync.on.md) |  | Add SyncEvent handler |
|  [options()](./git-documentdb.sync.options.md) |  | Get remote options (options are read only) |
|  [pause()](./git-documentdb.sync.pause.md) |  | Alias of cancel() |
|  [remoteURL()](./git-documentdb.sync.remoteurl.md) |  | Get remoteURL |
|  [resume(options)](./git-documentdb.sync.resume.md) |  | Resume synchronization |
|  [tryPush(options)](./git-documentdb.sync.trypush.md) |  | Try to push with retries |
|  [trySync()](./git-documentdb.sync.trysync.md) |  | Try to sync with retries |

